ChiliProject - Feature # 271: Replace checks for "auth_source_id" with "change_password_allowed?"
in UsersController

Status: Closed Priority: Normal
Author: Stephan Eckardt Category: User accounts
Created: 2011-03-10 Assignee: Eric Davis
Updated: 2011-03-24 Due date:

Remote issue URL:

Affected version:

Description: In the UsersController actions changing a user's password and submitting a newly set password via mail is
done only when there is no AuthSource associated to the user. The "change_password_allowed?" check in
the User model is more appropriate for these kinds of checks and allows custom AuthSources that actually
want to set a user's password.

History

2011-03-10 01:04 pm - Stephan Eckardt
Here is the pull request: https:/github.com/chiliproject/chiliproject/pull/21

2011-03-10 11:51 pm - Eric Davis

- Assignee set to Eric Davis

Thanks, I'll review this for you. | wrote the @User#check_password?@ and must have missed UsersController.

2011-03-19 07:55 pm - Felix Schéafer
That seems like something that could go into version#6? ;-)

2011-03-22 11:33 pm - Eric Davis

- Target version set to 1.2.0

2011-03-24 09:24 pm - Eric Davis
- Status changed from Ready for review to Closed

Merged to master. Thank you for the patch.

2020-10-25 1/1




